Download it now!
Bug 54768 - Asking to restore image to original size gets wrong size when the image is clipped
Summary: Asking to restore image to original size gets wrong size when the image is cl...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2012-09-11 10:55 UTC by sergio.callegari
Modified: 2020-09-29 04:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Testcase (24.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-07-08 08:47 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2012-09-11 10:55:57 UTC
Tested in libreoffice calc.

The image is restored to the original size ignoring the clipping.

E.g. Image that is 10cm high, but is clipped 1cm on top. Asking the image to be restored to original size makes it 10cm tall rather than 9 as it should because of clipping. Hence the image gets distorted.
Comment 1 bfoman (inactive) 2013-03-22 09:38:02 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 2 Mike Kaganski 2013-07-08 08:47:35 UTC
Created attachment 82170 [details]
Testcase

REPRODUCIBLE with LO 4.0.4.2 and 4.1.0.2.0 under Win7x64.

Steps to reproduce:
1. Create a new empty worksheet.
2. Insert a picture (e.g. Insert->Picture->From File...)
3. Click on the inserted image, Picture toolbar appears
4. Use "Crop" tool to crop 2 cm from top -> OK
5. Right-click on the cropped image and select "Original Size".

Expected behaviour: the image stays proportional.

Actual result: the image stays cropped, but stretches to the size of original image, thus becomes distorted.
Comment 3 QA Administrators 2015-04-01 14:42:56 UTC Comment hidden (obsolete)
Comment 4 sergio.callegari 2015-04-02 08:20:29 UTC
Bug is still present as of 4.4.2.1 on Linux (but I think that OS is not relevant here)
Comment 5 sergio.callegari 2016-02-16 14:38:31 UTC
Bug still present in 5.1.1 RC 1
Comment 6 Kenneth Hanson 2017-09-28 06:55:17 UTC
Bug still present in 5.4.1.

It seems to affect not only "Original Size", but also similar operations. For example, cropped images in placeholders are distorted when switching a slide layout in Impress. (Can't recall any others at the moment.)
Comment 7 QA Administrators 2018-09-29 02:42:08 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-09-29 04:06:48 UTC
Dear sergio.callegari,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug